package nsdb;
public final class InexactLocation
	extends org.omg.CORBA.UserException
{
	public java.lang.String reason;
	public InexactLocation()
	{
		super(nsdb.InexactLocationHelper.id());
	}
	public InexactLocation(java.lang.String _reason,java.lang.String reason)
	{
		super(nsdb.InexactLocationHelper.id()+""+_reason );
		this.reason = reason;
	}
	public InexactLocation(java.lang.String reason)
	{
		this.reason = reason;
	}
}
